#ifndef __DWIN_H
#define __DWIN_H
#include "main.h"

void Send_DWIN_RS485(uint16_t address, uint16_t data);
void Send_DWIN_RS485_WENBEN(void);
void SendMLXDWIN(uint16_t address, uint8_t id, uint8_t max, uint8_t min, uint8_t ave) ;
void SendPressureDWIN(uint16_t address, uint8_t id, uint16_t data) ;
void SendH2DWIN(uint16_t address, uint8_t id, float data) ;
void SendCODWIN(uint16_t address, uint8_t id, float data) ;
void SendofflineDWIN(uint16_t address, uint8_t id);
void SendWENBENDWIN(uint16_t address, const char* data) ;
void SendHEXNDWIN(uint16_t address, uint16_t data);
void Send_uint8HEX_DWIN(uint16_t address, const uint8_t* data, uint8_t data_length);
void DWIN_SWITCH_PAGES(uint16_t address, uint16_t data) ;
void DWIN_PLAY_MUSIC(uint16_t address, uint16_t data) ;
void SendASCIIHEXNDWIN(uint16_t address, const uint8_t* data, uint8_t data_length) ;
void ReadHEXNDWIN(uint16_t address, uint16_t data) ;
void SendDWINThreshold(uint16_t address,uint16_t value) ;
void SendDWINterminal(uint16_t address, const uint8_t* data);
void ConvertToASCII(uint8_t* input, uint8_t* output, size_t length);

#endif /*__DWIN_H*/

